顯示問題標籤 顯示所有問題
  • 已解決
  • 封存

Firefox update blocked by firewall

Yesterday I've got a report from one company about Firefox update being blocked by their firewall. Once it's on, the update fails. Turning it off fixes the update problem… (閱讀更多)

Yesterday I've got a report from one company about Firefox update being blocked by their firewall. Once it's on, the update fails. Turning it off fixes the update problem, but also open their network, which is not desired. I advised to whitelist domains mentioned in article https://developer.mozilla.org/en-US/docs/Mozilla/Setting_up_an_update_server (aus2.mozilla.org and download.mozilla.org), but seems it did not help. Firefox update still failed with "Update failed" message. So what servers Firefox needs access to during the update process so they can whitelist them?

EDIT: Just to add, before whitelisting the mentioned domain, Firefox won't be able to even find the update. Now the update if found, but fails when downloading.

Michal Stanke 於 5 年前 詢問

Michal Stanke 於 5 年前 解答

  • 已解決
  • 封存

software updater always loads before Firefox opens

After the last "update", every time I open Firefox, I get a box with the Firefox Software Updater. It says it's updating/installing the latest updates. This happens eve… (閱讀更多)

After the last "update", every time I open Firefox, I get a box with the Firefox Software Updater. It says it's updating/installing the latest updates. This happens every time.

tomjohn16 於 2 年前 詢問

tomjohn16 於 2 年前 解答

  • 已解決
  • 封存

Firefox hangs when opening a new tab or new webpage.

Firefox hangs when I open a new tab or new webpage. It's really annoying! Everytime I do the automatic updates this shit happens. I used to go to one of the articles wher… (閱讀更多)

Firefox hangs when I open a new tab or new webpage. It's really annoying!

Everytime I do the automatic updates this shit happens. I used to go to one of the articles where it gave me instructions on how to reset my preferences, but that thread has since been modified, it now says to delete my pref.js, but that doesn't fix the issue anymore.

So i'm resorting to actually making a god damn account and asking why this shit keeps happening. I uninstalled Firefox and re-installed aswell, but it saved some of my data which I kinda need (bookmarks). That doesn't help.

I know that resetting my preferences back to default every update used to fix it, but I forget how now. Thanks...

Can someone just tell me how to fix it so I can update without having to do all this shit again.

I have only one extension and that is adblockerplus. Not likely the cause as it does this aswell without.

LimeGlass 於 3 年前 詢問

LimeGlass 於 3 年前 解答

  • 已解決
  • 封存

I need to stop firefox updating!!!

I'm using FireFox on ubuntu lts 16.04 as a kiosk making use of a very handy add-on. The system was looked down to prevent anyone for browsing anything but localhost. No… (閱讀更多)

I'm using FireFox on ubuntu lts 16.04 as a kiosk making use of a very handy add-on. The system was looked down to prevent anyone for browsing anything but localhost. Now anyone can jump on my kiosk and browse / download anything they want. It is no way more secure than what it was.

Even after using the about:config options the updates still update!!!!!!!!!!!!!!

I will find a more appropriate browser option for the kiosk but for now I'd really like a way to stop the update short of shutting everything down.

shedfly 於 3 年前 詢問

shedfly 於 3 年前 解答

  • 已解決
  • 封存

Firefox won't update

Running Firefox 63.0.3 (64-bit) on Windows 10 ver 1803, I click on "Restart to update Firefox" and get "Firefox is installing your updates and will start in a few moments… (閱讀更多)

Running Firefox 63.0.3 (64-bit) on Windows 10 ver 1803, I click on "Restart to update Firefox" and get "Firefox is installing your updates and will start in a few moments." But when it does start, nothing has changed: I am still running 63.0.3 and it still says "Restart to update Firefox." I have been round this loop a half dozen times. What next?

Rich Pasco 於 2 年前 詢問

FredMcD 於 2 年前 解答

  • 已解決
  • 封存

silverlight

Firefox version 52 ESR Win XP OS. Silverlight plug-in stopped working just yesterday on Netflix and my Win XP Pro OS. I have uninstalled the older version and downloaded … (閱讀更多)

Firefox version 52 ESR Win XP OS. Silverlight plug-in stopped working just yesterday on Netflix and my Win XP Pro OS. I have uninstalled the older version and downloaded the correct version I need 5.1.4.1.2 and it is installed but still doesn't work with Netflix. I cannot find in the registry Netflix and Silverlight permission to run the plug in. This is a problem and needs to be fixed. I don't have the money or means to upgrade my OS at this time. I have no tv either. I have been in contact with Microsoft and Netflix and they determined that the problem lies with Mozilla. I cannot use any other browser as Chrome does not work with Netflix and Win XP either due to unable to update WidevineCdm on XP.

zendawn 於 4 年前 詢問

FredMcD 於 4 年前 解答

  • 已解決
  • 封存

Temporarily block Firefox updates by URL/IP

We have an Add-On that will no longer work with FireFox once it updates version 60.2. It will heavily impact our stores ability to use certain functions/integration with … (閱讀更多)

We have an Add-On that will no longer work with FireFox once it updates version 60.2. It will heavily impact our stores ability to use certain functions/integration with our website until we get either a new add-on released or make a change to the site. We had planned on disabling updates for FireFox temporarily on each PC at each store but I am hoping for a workaround. I am curious if there is a list somewhere of the server IP’s/URLs that FireFox would use to update. This way I can just blacklist those IP’s for the time being until we get a new add-on released or an update to our website. This way they would not be able to download the latest update. It would prevent me from having to alter settings on each PC at each store (we have close to 70 locations and 4 computers at each). Is there such a list? And if so can someone point me there? Thanks!

ar550n1c 於 3 年前 詢問

ar550n1c 於 3 年前 解答

  • 已解決
  • 封存

downloads but does not extract files

When I started Firefox, it said that was "installing updates..."; an hour and a half later, it was still installing (I have never had this happen before). I closed the p… (閱讀更多)

When I started Firefox, it said that was "installing updates..."; an hour and a half later, it was still installing (I have never had this happen before). I closed the program and shut down the computer, then restarted. When I tried to restart Firefox, I got "unable to load XPCOM". So, I uninstalled my Firefox and attempted a download; only took me a dozen or so times, as it kept getting interrupted at the very end. Finally got to a site where I was able to download it, but when I attempted to install it, I got a little box that said "0% extracting" and nothing happened. An hour later, the little box STILL says "0% extracting" and nothing has happened. I cannot seem to get Firefox to install, and I'm ready to take a hammer to the computer. How do I fix this? Appreciate all help offered. Thank you!

Moodydeb 於 4 年前 詢問

Moodydeb 於 4 年前 解答

  • 已解決
  • 封存

Firefox Update Settings | Auto-update checking

Per Firefox guidance there is an option to toggle on an option that would not would not prompt to update. The option box though is not an option in preferences (See below… (閱讀更多)

Per Firefox guidance there is an option to toggle on an option that would not would not prompt to update. The option box though is not an option in preferences (See below).

Did this option once exist, but it is no longer available and no one bothered to up date the trouble shoot guide?

If so, why does it not still exist?

Can it be brought back?

If not, is there some backdoor way to shut it off?

Thank you kindly

Firefox occasionally checks to see if any updates are available for itself and for your search engines. To disable these checks:

   Click the menu button Fx57Menu and select Preferences.
   In the General panel, scroll down to the Firefox Updates section.
   Check Never check for updates (not recommended) and uncheck Automatically update search engines.
   Close the about:preferences page. Any changes you've made will automatically be saved.

Catalpa Casa 於 1 年前 詢問

crankygoat 於 1 年前 解答

  • 已解決
  • 封存

Patch for Meltdown / Spectre Vulnerability Planned for Firefox ESR v52.5?

Will a patch for the Meltdown / Spectre vulnerabilities be released for the extended support release Firefox ESR v52.5? I understand that the recent Firefox v57.0.4 patch… (閱讀更多)

Will a patch for the Meltdown / Spectre vulnerabilities be released for the extended support release Firefox ESR v52.5?

I understand that the recent Firefox v57.0.4 patches this vulnerability but the 03-Jan-2018 Mozilla Security Blog entry at https://blog.mozilla.org/security/2018/01/03/mitigations-landing-new-class-timing-attack/ is unclear because it states a patch will be released for "all release channels, starting with 57".


32-bit Vista Home Premium SP2 * Firefox ESR v52.5.3 * Norton Security Premium v22.11.2.7

lmacri 於 3 年前 詢問

cor-el 於 3 年前 解答

  • 已解決
  • 封存

how do I allow automatic updates

I look at charts all day and every time I bring one up, firefox says it prevented updates. I then have to click the allow button. My charts automatically update every fi… (閱讀更多)

I look at charts all day and every time I bring one up, firefox says it prevented updates. I then have to click the allow button. My charts automatically update every five minutes and I want to eliminate this update block. thanks

rogerg1. 於 4 年前 詢問

jscher2000 於 4 年前 解答

  • 已解決
  • 封存

Cannot launch FF versions 43+ because "mozglue.dll is missing" - when it's not

I have been happy with FF v43 until I decided to update to v50. It installed but would not launch, saying "mozglue.dll" was missing. I found on Google that some other us… (閱讀更多)

I have been happy with FF v43 until I decided to update to v50. It installed but would not launch, saying "mozglue.dll" was missing. I found on Google that some other users had the same problem, with some advice that AVG might be the problem. I found the mozglue.dll was in fact in Program Files - and repeated uninstalls and reinstalls of FF v50 with AVG also uninstalled made no difference. I (mistakenly) found that reusing my original install file of v43 then produced the same result - until I discovered that FF was updating my v43 to v47 within seconds of launching. I finally beat FF automatic updating to get to the Option "do not update," so I have a working, albeit old version of Firefox. Any advice would be welcome - while I fiddle with various workarounds of annoying warnings about my FF being out of date and its knock-on affect on add-ons etc. PS: I am very happily (and stubbornly) Windows XP Professional 64-bit sp2, but I suggest it's not my operating system at fault because other sufferers use a variety of OS. Thanks, Kevin in the UK

Kev9b 於 4 年前 詢問

FredMcD 於 4 年前 解答

  • 已解決
  • 封存

Firefox Update Glitch

Firefox 63.0.3 Windows 7 Home Premium When I opened Firefox this morning, it stated that there was a new version available so I clicked the box. The browser closed, it we… (閱讀更多)

Firefox 63.0.3 Windows 7 Home Premium

When I opened Firefox this morning, it stated that there was a new version available so I clicked the box.

The browser closed, it went through the motions, and reopened the browser.

I checked the version and it still showed 63.0.3, with the option to update, so I rebooted the computer, reopened the browser, and it still shows 63.0.3 with the option to update.

I am sure that others have already posted about this but what is the fix?

Buddy2014 於 2 年前 詢問

Buddy2014 於 2 年前 解答

  • 已解決
  • 封存

Update option is checked but FF will no automatically update and keeps asking to download newer version.

Using 68.0.2 in Debian 9.4 Stretch. Originally FF 68.0.2 was installed in my Downloads directory but I moved it to /opt and is still working fine. Since the release of ve… (閱讀更多)

Using 68.0.2 in Debian 9.4 Stretch. Originally FF 68.0.2 was installed in my Downloads directory but I moved it to /opt and is still working fine. Since the release of version 69 it has been pestering me asking for an update, even that the automatic update option is checked on. Downloaded 69.0 and again moved to it to /opt. Renamed the 68.0.2 from firefox to firefox 68 and tried to run 69 but it will not respond. Any ideas on how to solve this issue? Thanks.

topocalc 於 2 年前 詢問

cor-el 於 2 年前 解答

  • 已解決
  • 封存

XML error after updating

Hello, so I was doing something and then it started lagging. I closed Firefox and when I pressed it again it wouldn't start. It updated then it stopped working. I restart… (閱讀更多)

Hello, so I was doing something and then it started lagging. I closed Firefox and when I pressed it again it wouldn't start. It updated then it stopped working. I restarted my PC, clicked many times on Firefox logo and it wouldn't start. I got an error message in the top left corner that appeared for a milisecond. I took a video of it with my phone so I could read what was wrote there. It said "XML analysis error:entity undefined. Location:chrome://browser/content/browse Line number 53, column 1. (Sorry if it ain't the exact words, im translating because my Firefox is in french). There was also <windows id-"main-window"> under it. Don't tell me to open Firefox in safe mode, because that doesn't work either. When I hold shift, nothing happens. It doesn't ask me to go to safe mode. How do I fix this? Thanks

Alexis3335 於 2 年前 詢問

cor-el 於 2 年前 解答

  • 已解決
  • 封存

Firefox 52.7.2esr will not run, could not load XPCOM. Also will not uninstall. On a Vista PC

I have been using Firefox on my Vista PC with no problem until I ran the update from 52.7.2 to 52.7.3 . Now I cannot start Firefox and I get the message - could not load … (閱讀更多)

I have been using Firefox on my Vista PC with no problem until I ran the update from 52.7.2 to 52.7.3 . Now I cannot start Firefox and I get the message - could not load XPCOM . I have down loaded 52.7.3esr ready to install but I am unable to uninstall 52.7.2 even if I use the helper.exe file. Please note I am sending this on a W8.1 computer, not the one that is giving me the problem.

MilfordKen 於 3 年前 詢問

James 於 3 年前 解答

  • 已解決
  • 封存

How can I prevent Firefox upgrading(!) to ver 57 in November 2017?

Many of my legacy Add-ins are invaluable in my text correction work as a volunteeer on the Australian Newspaper site TROVE. I must not allow FF to upggrade to 57. HOW DO … (閱讀更多)

Many of my legacy Add-ins are invaluable in my text correction work as a volunteeer on the Australian Newspaper site TROVE.

I must not allow FF to upggrade to 57.

HOW DO I DO THIS, PLEASE?

jackh48 於 4 年前 詢問

jscher2000 於 4 年前 解答